Skip to content

Cancel all orders for currency pair

DELETE
/v1/orders/{currencyPair}

Cancel all open orders for the given currency pair.

A 200 OK response means the request to cancel the orders was accepted. You can either use the Order Status REST API or the WebSocket API to receive status updates about this request.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair (e.g., BTCUSDC)

Type
string
Required

Responses

Cancel all orders for pair request accepted

application/json
JSON
[
{
"orderId": "0198510c-09fa-7f86-8ddb-b6b222b4e509"
},
{
"orderId": "0198510c-25db-758b-9c63-fa610ac091e4"
},
{
"orderId": "0198e5f9-c72f-7bc8-b763-449c067b8c33"
}
]

Playground

Authorization
Variables
Key
Value

Samples